# Method: projects.locations.jobs.executions.cancel

- [HTTP request](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions/cancel#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions/cancel#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions/cancel#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions/cancel#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions/cancel#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions/cancel#body.aspect)

Cancels an Execution.

### HTTP request

`POST https://run.googleapis.com/v2/{name}:cancel`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the Execution to cancel. Format: `projects/{project}/locations/{location}/jobs/{job}/executions/{execution}`, where `{project}` can be project id or number. It takes the form `projects/{project}/locations/{location}/jobs/{job}/executions/{execution}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `run.jobs.run` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "validateOnly": boolean, "etag": string } ``` |

| Fields ||
|---|---|
| `validateOnly` | `boolean` Indicates that the request should be validated without actually cancelling any resources. |
| `etag` | `string` A system-generated fingerprint for this version of the resource. This may be used to detect modification conflict during updates. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).